VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::MonitoringTypes::IntervalType Class Reference

`Monitoring.IntervalType` enumerated type Defines interval between the values in hours and mins, for which aggregation will apply More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, MINUTES30, HOURS2, MINUTES5, DAY1, HOURS6 }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static IntervalType[] | GetValues ()
static IntervalType | ValueOf (string name)
## Static Public Attributes
static readonly IntervalType | MINUTES30 = new IntervalType("MINUTES30", Values.MINUTES30)
| Thirty minutes interval between values.
static readonly IntervalType | HOURS2 = new IntervalType("HOURS2", Values.HOURS2)
| Two hours interval between values.
static readonly IntervalType | MINUTES5 = new IntervalType("MINUTES5", Values.MINUTES5)
| Five minutes interval between values (finest).
static readonly IntervalType | DAY1 = new IntervalType("DAY1", Values.DAY1)
| 24 hours interval between values.
static readonly IntervalType | HOURS6 = new IntervalType("HOURS6", Values.HOURS6)
| Six hour interval between values.

## Detailed Description

`Monitoring.IntervalType` enumerated type Defines interval between the values in hours and mins, for which aggregation will apply

## Member Enumeration Documentation

enum vmware::appliance::MonitoringTypes::IntervalType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  MINUTES30 | Thirty minutes interval between values. One week is 336 values.
  HOURS2 | Two hours interval between values. One month has 360 values.
  MINUTES5 | Five minutes interval between values (finest). One day would have 288 values, one week is 2016.
  DAY1 | 24 hours interval between values. One year has 365 values.
  HOURS6 | Six hour interval between values. One quarter is 360 values.

## Member Function Documentation

Values vmware::appliance::MonitoringTypes::IntervalType::GetEnumValue | ( |  | ) | `[inline]`

static IntervalType [] vmware::appliance::MonitoringTypes::IntervalType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::MonitoringTypes::IntervalType::IsUnknown | ( |  | ) | `[inline]`

static IntervalType vmware::appliance::MonitoringTypes::IntervalType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly IntervalType vmware::appliance::MonitoringTypes::IntervalType::DAY1 = new IntervalType("DAY1", Values.DAY1)`[static]`

24 hours interval between values.

One year has 365 values.

readonly IntervalType vmware::appliance::MonitoringTypes::IntervalType::HOURS2 = new IntervalType("HOURS2", Values.HOURS2)`[static]`

Two hours interval between values.

One month has 360 values.

readonly IntervalType vmware::appliance::MonitoringTypes::IntervalType::HOURS6 = new IntervalType("HOURS6", Values.HOURS6)`[static]`

Six hour interval between values.

One quarter is 360 values.

readonly IntervalType vmware::appliance::MonitoringTypes::IntervalType::MINUTES30 = new IntervalType("MINUTES30", Values.MINUTES30)`[static]`

Thirty minutes interval between values.

One week is 336 values.

readonly IntervalType vmware::appliance::MonitoringTypes::IntervalType::MINUTES5 = new IntervalType("MINUTES5", Values.MINUTES5)`[static]`

Five minutes interval between values (finest).

One day would have 288 values, one week is 2016.

The documentation for this class was generated from the following file:

- MonitoringTypes.cs